Quantcast

Gambas 2.21 build error with iodbc

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Gambas 2.21 build error with iodbc

Bastian Germann
On Tuesday 24 August 2010 10:37:35 Andrea Bortolan wrote:
> iODBC is different in many ways from unixODBC, probably with some work it
> will be possible to change the Gambas ODBC component in order to use both
> unixODBC and iODBC driver managers but it's not on my plans right now.

The component is using some unixODBC-only constants. With the trivial
patch enclosed applied I can compile with iODBC.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gambas-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gambas-devel

gambas3-generic-odbc.patch (5K) Download Attachment
Loading...